# $Revision: 1.28 $, $Date: 2004/05/06 18:09:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	ASCII-Armour
Summary:	Convert::ASCII::Armour - convert binary octets into ASCII armoured messages
Summary(pl):	Convert::ASCII::Armour - konwersja binarnych danych na komunikaty kodowane w ASCII
Name:		perl-Convert-ASCII-Armour
Version:	1.4
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7e0e61ff6b014062d6feecaea3f09018
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-MIME-Base64
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::ASCII::Armor Perl module converts hashes of binary octets
into ASCII messages suitable for transfer over 6-bit clean transport
channels. The encoded ASCII resembles PGP's armoured messages, but are
in no way compatible with PGP.

%description -l pl
Modu Perla Convert::ASCII::Armor konwertuje hashe z binarnymi danymi
na komunikaty kodowane w ASCII, odpowiednie dla transmisji poprzez
6-bitowe kanay transportowe. Zakodowane ASCII jest podobne do
komunikatw szyfrowanych PGP, lecz nie jest w aden sposw zgodne z
PGP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Convert/ASCII
%{perl_vendorlib}/Convert/ASCII/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-ASCII-Armour.spec,v $
Revision 1.28  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.27  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.26  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.25  2004/04/18 22:16:32  ankry
- summary, description and license fixes

Revision 1.24  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.23  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.22  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.18  2003/04/08 19:38:33  ankry
- release 10

Revision 1.17  2003/03/18 17:22:12  qboosh
- added tests

Revision 1.16  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.15  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:28:23  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/07/22 21:31:07  ankry
- translations, cleaning

Revision 1.12  2002/07/21 12:22:10  qboosh
- added missing man pages, release 7

Revision 1.11  2002/07/12 10:20:49  qboosh
- added missing dir, release 6

Revision 1.10  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:10:18  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:39:12  depesz
adapterized

Revision 1.4  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.2  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
